import { Injectable } from '@nestjs/common';
import { ReportsRepository } from './reports.repository';

@Injectable()
export class ReportsService {
  constructor(private readonly repository: ReportsRepository) {}

  async toursReport() {
    return this.repository.toursReport();
  }

  report() {
    return Promise.all([
      this.repository.toursReport(),
      this.repository.employeesReport(),
      this.repository.patientsReport(),
      this.repository.attendanceRegistrationsReport(),
      this.repository.plannedTimesReport(),
      this.repository.workTimesReport(),
    ]);
  }
}
